$dt = Get-Variable -Name DateTimeReceived -ValueOnly
$eml = Get-Variable -Name emlfile -ValueOnly
$from = Get-Variable -Name From -ValueOnly
$subject = Get-Variable -Name subject -ValueOnly
$exportpath = Get-Variable -Name exportpath -ValueOnly
$dtstr = $dt.tostring("yyMMdd HHmm")
$filedatetime = $dt.tostring("yyMMdd HHmm")

$path=$exportpath+$from.Address+"\"+$dtstr

if (!(Test-Path $path)) 
{
  mkdir $path
}
[System.IO.Path]::GetinvalidFileNameChars() | ForEach-Object {$subject = $subject.Replace($_," ")}
$newfilename =  $path + '\' + $subject +'.eml' 

mv $eml $newfilename